/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "cprover", "index.html", [
    [ "Code Contracts in CBMC", "contracts-mainpage.html", [
      [ "Code Contracts User Documentation", "contracts-user.html", [
        [ "Function Contracts", "contracts-functions.html", [
          [ "Overview", "contracts-functions.html#autotoc_md91", null ],
          [ "Additional Resources", "contracts-functions.html#autotoc_md92", null ]
        ] ],
        [ "Loop Contracts", "contracts-loops.html", [
          [ "Overview", "contracts-loops.html#autotoc_md102", null ],
          [ "Additional Resources", "contracts-loops.html#autotoc_md103", null ]
        ] ],
        [ "Requires and Ensures Clauses", "contracts-requires-ensures.html", [
          [ "Syntax", "contracts-requires-ensures.html#autotoc_md121", null ],
          [ "Semantics", "contracts-requires-ensures.html#autotoc_md122", [
            [ "Enforcement", "contracts-requires-ensures.html#autotoc_md123", null ],
            [ "Replacement", "contracts-requires-ensures.html#autotoc_md124", null ]
          ] ],
          [ "Additional Resources", "contracts-requires-ensures.html#autotoc_md125", null ]
        ] ],
        [ "Assigns Clauses", "contracts-assigns.html", [
          [ "Syntax", "contracts-assigns.html#autotoc_md60", [
            [ "Lvalue targets", "contracts-assigns.html#autotoc_md61", null ],
            [ "Object slice targets", "contracts-assigns.html#autotoc_md62", null ],
            [ "Function parameters", "contracts-assigns.html#autotoc_md65", null ],
            [ "Inductive data structures", "contracts-assigns.html#autotoc_md66", null ]
          ] ],
          [ "Semantics", "contracts-assigns.html#autotoc_md67", [
            [ "Contract Enforcement", "contracts-assigns.html#autotoc_md68", null ],
            [ "Contract Replacement", "contracts-assigns.html#autotoc_md69", null ]
          ] ],
          [ "Additional Resources", "contracts-assigns.html#autotoc_md70", null ]
        ] ],
        [ "Frees Clauses", "contracts-frees.html", [
          [ "Frees Clauses", "contracts-frees.html#autotoc_md76", [
            [ "Syntax", "contracts-frees.html#autotoc_md77", [
              [ "Example", "contracts-frees.html#autotoc_md78", null ]
            ] ],
            [ "Semantics", "contracts-frees.html#autotoc_md79", [
              [ "For contract checking", "contracts-frees.html#autotoc_md80", null ],
              [ "For replacement of function calls by contracts", "contracts-frees.html#autotoc_md81", null ]
            ] ],
            [ "Specifying parametric sets of freeable pointers using C functions", "contracts-frees.html#autotoc_md82", null ],
            [ "Frees clause related predicates", "contracts-frees.html#autotoc_md83", null ]
          ] ]
        ] ],
        [ "Loop Invariant Clauses", "contracts-loop-invariants.html", [
          [ "Syntax", "contracts-loop-invariants.html#autotoc_md99", null ],
          [ "Semantics", "contracts-loop-invariants.html#autotoc_md100", null ],
          [ "Additional Resources", "contracts-loop-invariants.html#autotoc_md101", null ]
        ] ],
        [ "Decreases Clauses", "contracts-decreases.html", [
          [ "Syntax", "contracts-decreases.html#autotoc_md73", null ],
          [ "Semantics", "contracts-decreases.html#autotoc_md74", null ],
          [ "Additional Resources", "contracts-decreases.html#autotoc_md75", null ]
        ] ],
        [ "Memory Predicates", "contracts-memory-predicates.html", [
          [ "The __CPROVER_is_fresh predicate", "contracts-memory-predicates.html#autotoc_md104", [
            [ "Syntax", "contracts-memory-predicates.html#autotoc_md105", [
              [ "Parameters", "contracts-memory-predicates.html#autotoc_md106", null ],
              [ "Return Value", "contracts-memory-predicates.html#autotoc_md107", null ]
            ] ],
            [ "Semantics", "contracts-memory-predicates.html#autotoc_md108", [
              [ "Enforcement", "contracts-memory-predicates.html#autotoc_md109", null ],
              [ "Replacement", "contracts-memory-predicates.html#autotoc_md110", null ],
              [ "Influence of memory allocation failure modes flags in assumption contexts", "contracts-memory-predicates.html#autotoc_md111", null ]
            ] ]
          ] ],
          [ "The __CPROVER_pointer_in_range_dfcc predicate", "contracts-memory-predicates.html#autotoc_md112", [
            [ "Syntax", "contracts-memory-predicates.html#autotoc_md113", null ],
            [ "Semantics", "contracts-memory-predicates.html#autotoc_md114", null ]
          ] ],
          [ "User defined memory predicates", "contracts-memory-predicates.html#autotoc_md115", [
            [ "Limitations", "contracts-memory-predicates.html#autotoc_md116", null ]
          ] ],
          [ "Additional Resources", "contracts-memory-predicates.html#autotoc_md117", null ]
        ] ],
        [ "Function Pointer Predicates", "contracts-function-pointer-predicates.html", [
          [ "Syntax", "contracts-function-pointer-predicates.html#autotoc_md84", [
            [ "Parameters", "contracts-function-pointer-predicates.html#autotoc_md85", null ],
            [ "Return Value", "contracts-function-pointer-predicates.html#autotoc_md86", null ]
          ] ],
          [ "Semantics", "contracts-function-pointer-predicates.html#autotoc_md87", [
            [ "Enforcement", "contracts-function-pointer-predicates.html#autotoc_md88", null ],
            [ "Replacement", "contracts-function-pointer-predicates.html#autotoc_md89", null ]
          ] ],
          [ "Additional Resources", "contracts-function-pointer-predicates.html#autotoc_md90", null ]
        ] ],
        [ "History Variables", "contracts-history-variables.html", [
          [ "In Function Contracts", "contracts-history-variables.html#autotoc_md93", [
            [ "Syntax", "contracts-history-variables.html#autotoc_md94", null ],
            [ "Parameters", "contracts-history-variables.html#autotoc_md95", null ],
            [ "Semantics", "contracts-history-variables.html#autotoc_md96", null ]
          ] ],
          [ "In Loop Contracts", "contracts-history-variables.html#autotoc_md97", null ],
          [ "Additional Resources", "contracts-history-variables.html#autotoc_md98", null ]
        ] ],
        [ "Quantifiers", "contracts-quantifiers.html", [
          [ "Syntax", "contracts-quantifiers.html#autotoc_md118", null ],
          [ "Semantics", "contracts-quantifiers.html#autotoc_md119", null ],
          [ "Additional Resources", "contracts-quantifiers.html#autotoc_md120", null ]
        ] ],
        [ "Command Line Interface for Code Contracts", "contracts-user-cli.html", [
          [ "Applying loop and/or function contracts transformations (without the dynamic frames method)", "contracts-user-cli.html#autotoc_md71", null ],
          [ "Applying the function contracts transformation (with the dynamic frames method)", "contracts-user-cli.html#autotoc_md72", null ]
        ] ]
      ] ],
      [ "Code Contracts Developer Documentation", "contracts-dev.html", [
        [ "Code Contracts Transformation Specification", "contracts-dev-spec.html", [
          [ "Function Contracts Reminder", "contracts-dev-spec-reminder.html", null ],
          [ "Program Transformation Overview", "contracts-dev-spec-transform-params.html", null ],
          [ "Generating GOTO Functions From Contract Clauses", "contracts-dev-spec-codegen.html", [
            [ "Translating Assigns Clauses to GOTO Functions", "contracts-dev-spec-codegen.html#contracts-dev-spec-codegen-assigns", null ],
            [ "Translating Frees Clauses to GOTO Functions", "contracts-dev-spec-codegen.html#contracts-dev-spec-codegen-frees", null ]
          ] ],
          [ "Rewriting Declarative Assign and Frees Specification Functions", "contracts-dev-spec-spec-rewriting.html", [
            [ "Rewriting Assigns Clause Functions", "contracts-dev-spec-spec-rewriting.html#contracts-dev-spec-spec-rewriting-assigns", null ],
            [ "Generating Havoc Functions from Assigns Clause Functions", "contracts-dev-spec-spec-rewriting.html#contracts-dev-spec-spec-rewriting-havoc", null ],
            [ "Rewriting Frees Clause Functions", "contracts-dev-spec-spec-rewriting.html#contracts-dev-spec-spec-rewriting-frees", null ]
          ] ],
          [ "Rewriting User-Defined Memory Predicates", "contracts-dev-spec-memory-predicates-rewriting.html", [
            [ "Collecting user-defined memory predicates", "contracts-dev-spec-memory-predicates-rewriting.html#contracts-dev-spec-memory-predicate-collect", null ],
            [ "Rewriting user-defined memory predicates", "contracts-dev-spec-memory-predicates-rewriting.html#contracts-dev-spec-memory-predicate-rewrite", null ]
          ] ],
          [ "Dynamic Frame Condition Checking", "contracts-dev-spec-dfcc.html", [
            [ "Overview", "contracts-dev-spec-dfcc.html#autotoc_md47", null ],
            [ "Detailed Specifications", "contracts-dev-spec-dfcc.html#autotoc_md48", null ],
            [ "Write Set Representation", "contracts-dev-spec-dfcc-runtime.html", [
              [ "Write Set Data Structure", "contracts-dev-spec-dfcc-runtime.html#contracts-dev-spec-dfcc-runtime-data", null ],
              [ "Write Set Operations", "contracts-dev-spec-dfcc-runtime.html#contracts-dev-spec-dfcc-runtime-ops", null ]
            ] ],
            [ "GOTO Function Instrumentation", "contracts-dev-spec-dfcc-instrument.html", [
              [ "Signature Extension", "contracts-dev-spec-dfcc-instrument.html#contracts-dev-spec-dfcc-instrument-signature", null ],
              [ "Body Instrumentation", "contracts-dev-spec-dfcc-instrument.html#contracts-dev-spec-dfcc-instrument-body", [
                [ "Instrumenting DECL Instructions", "contracts-dev-spec-dfcc-instrument.html#autotoc_md36", null ],
                [ "Instrumenting DEAD Instructions", "contracts-dev-spec-dfcc-instrument.html#autotoc_md37", null ],
                [ "Instrumenting ASSERT Instructions", "contracts-dev-spec-dfcc-instrument.html#autotoc_md38", null ],
                [ "Instrumenting ASSUME Instructions", "contracts-dev-spec-dfcc-instrument.html#autotoc_md39", null ],
                [ "Instrumenting ASSIGN Instructions", "contracts-dev-spec-dfcc-instrument.html#autotoc_md40", [
                  [ "LHS Instrumentation", "contracts-dev-spec-dfcc-instrument.html#autotoc_md41", null ],
                  [ "RHS Instrumentation", "contracts-dev-spec-dfcc-instrument.html#autotoc_md42", null ]
                ] ],
                [ "Instrumenting CALL Instructions", "contracts-dev-spec-dfcc-instrument.html#autotoc_md43", null ],
                [ "Instrumenting OTHER Instructions", "contracts-dev-spec-dfcc-instrument.html#autotoc_md44", null ]
              ] ],
              [ "Rewriting Calls to __CPROVER_is_freeable and __CPROVER_was_freed Predicates", "contracts-dev-spec-is-freeable.html", null ],
              [ "Rewriting Calls to the __CPROVER_is_fresh Predicate", "contracts-dev-spec-is-fresh.html", null ],
              [ "Rewriting Calls to the __CPROVER_obeys_contract Predicate", "contracts-dev-spec-obeys-contract.html", null ],
              [ "Rewriting Calls to the __CPROVER_pointer_in_range_dfcc Predicate", "contracts-dev-spec-pointer-in-range.html", null ]
            ] ]
          ] ],
          [ "Proof Harness Intrumentation", "contracts-dev-spec-harness.html", null ],
          [ "Checking a Contract Against a Function", "contracts-dev-spec-contract-checking.html", [
            [ "Swapping-and-Wrapping Functions", "contracts-dev-spec-contract-checking.html#autotoc_md32", null ],
            [ "Wrapping Recursive Functions", "contracts-dev-spec-contract-checking.html#autotoc_md33", null ]
          ] ],
          [ "Checking a Contract Against a Recursive Function", "contracts-dev-spec-contract-checking-rec.html", null ],
          [ "Replacing a Function by a Contract", "contracts-dev-spec-contract-replacement.html", null ]
        ] ],
        [ "Code Contracts Software Architecture", "contracts-dev-arch.html", [
          [ "Architecture Overview", "contracts-dev-arch.html#autotoc_md29", null ]
        ] ]
      ] ]
    ] ],
    [ "The CPROVER C++ API", "md_libcprover-cpp_2readme.html", [
      [ "Implementation", "md_libcprover-cpp_2readme.html#autotoc_md146", null ],
      [ "Example", "md_libcprover-cpp_2readme.html#autotoc_md147", null ]
    ] ],
    [ "Libcprover-rust", "md_libcprover-rust_2readme.html", [
      [ "Building instructions", "md_libcprover-rust_2readme.html#autotoc_md149", null ],
      [ "Basic Usage", "md_libcprover-rust_2readme.html#autotoc_md150", null ],
      [ "Notes", "md_libcprover-rust_2readme.html#autotoc_md153", null ]
    ] ],
    [ "Incremental SMT backend", "md_solvers_2smt2__incremental_2_r_e_a_d_m_e.html", [
      [ "General usage", "md_solvers_2smt2__incremental_2_r_e_a_d_m_e.html#autotoc_md160", null ],
      [ "Internal code architecture", "md_solvers_2smt2__incremental_2_r_e_a_d_m_e.html#autotoc_md161", [
        [ "Overview of the sequence of data processing and data flow -", "md_solvers_2smt2__incremental_2_r_e_a_d_m_e.html#autotoc_md162", null ]
      ] ]
    ] ],
    [ "Architecture Decision Records", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2_a_d_r_2_r_e_a_d_m_e.html", [
      [ "Symex ready goto form", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2_a_d_r_2_r_e_a_d_m_e.html#autotoc_md180", null ],
      [ "Release & Packaging", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2_a_d_r_2_r_e_a_d_m_e.html#autotoc_md181", null ],
      [ "Symex ready goto definition", "symex-ready-goto.html", null ],
      [ "Release Process", "release-process.html", null ],
      [ "Homebrew tap instructions", "homebrew-tap-instructions.html", null ],
      [ "libcprover-cpp and Modularisation", "cpp-api-and-modularisation.html", null ]
    ] ],
    [ "CPROVER APIs", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2_a_p_i_2_r_e_a_d_m_e.html", null ],
    [ "cpp, h", "_2tt_4.html", null ],
    [ "Symex and GOTO program instructions", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2architectural_2symex-instructions.html", [
      [ "A (very) short introduction to Symex", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2architectural_2symex-instructions.html#autotoc_md226", null ],
      [ "Instruction Types", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2architectural_2symex-instructions.html#autotoc_md227", null ]
    ] ],
    [ "README", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2assets_2_r_e_a_d_m_e.html", [
      [ "XML Spec", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2assets_2_r_e_a_d_m_e.html#autotoc_md229", [
        [ "xml_spec.xsd", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2assets_2_r_e_a_d_m_e.html#autotoc_md230", null ],
        [ "xml_spec.tex", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2assets_2_r_e_a_d_m_e.html#autotoc_md231", null ]
      ] ]
    ] ],
    [ "XML Specification for CBMC Traces", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2assets_2xml__spec.html", [
      [ "Trace Step Types", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2assets_2xml__spec.html#autotoc_md232", null ],
      [ "Source Location", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2assets_2xml__spec.html#autotoc_md233", null ],
      [ "Trace Steps in XML", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2assets_2xml__spec.html#autotoc_md234", null ],
      [ "Full Trace XSD", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2assets_2xml__spec.html#autotoc_md235", null ],
      [ "Notes", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2assets_2xml__spec.html#autotoc_md236", null ]
    ] ],
    [ "Documentation", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2doxygen-root_2index.html", [
      [ "Installation Guide", "installation_guide.html", null ],
      [ "User Guide", "user_guide.html", null ],
      [ "Reference Guide", "reference_guide.html", null ],
      [ "Developer Guide", "developer_guide.html", null ],
      [ "CProver documentation", "cprover_documentation.html", [
        [ "Versions", "cprover_documentation.html#autotoc_md210", null ],
        [ "Report bugs", "cprover_documentation.html#autotoc_md211", null ],
        [ "Contributing to the code base", "cprover_documentation.html#autotoc_md212", null ],
        [ "License", "cprover_documentation.html#autotoc_md213", null ],
        [ "Overview of Documentation", "cprover_documentation.html#autotoc_md214", null ],
        [ "Memory Bounds Checking", "memory-bounds-checking.html", null ],
        [ "SATABS", "satabs.html", [
          [ "SATABS—Predicate Abstraction with SAT", "satabs.html#man_satabs", [
            [ "Automatic Program Verification with SATABS", "satabs.html#autotoc_md245", null ],
            [ "Installing SATABS", "satabs.html#man_install-satabs", [
              [ "Requirements", "satabs.html#autotoc_md246", null ],
              [ "Choosing and Installing a Model Checker", "satabs.html#autotoc_md247", null ],
              [ "Installing SATABS", "satabs.html#autotoc_md248", null ],
              [ "Requirements", "satabs.html#autotoc_md249", null ]
            ] ],
            [ "Overview", "satabs.html#man_satabs-overview", [
              [ "Working with Claims", "satabs.html#autotoc_md250", null ]
            ] ],
            [ "Programs that use Libraries", "satabs.html#man_satabs-libraries", null ],
            [ "Unit Testing with SATABS", "satabs.html#man_satabs-unit-test", [
              [ "Further Reading", "satabs.html#autotoc_md251", null ]
            ] ],
            [ "Background", "satabs.html#man_satabs-background", [
              [ "Sound Abstractions", "satabs.html#autotoc_md252", null ],
              [ "Spurious Counterexamples", "satabs.html#autotoc_md253", null ],
              [ "Automatic Refinement", "satabs.html#autotoc_md254", null ]
            ] ],
            [ "Tutorials", "satabs.html#man_satabs-tutorials", [
              [ "Reference Counting in Linux Device Drivers", "satabs.html#man_satabs-tutorial-driver", null ],
              [ "Buffer Overflow in a Mail Transfer Agent", "satabs.html#man_satabs-tutorial-aeon", null ]
            ] ]
          ] ]
        ] ],
        [ "Compilation and Development", "compilation-and-development.html", [
          [ "Compilation", "compilation-and-development.html#compilation-and-development-section-compilation", [
            [ "Makefiles", "compilation-and-development.html#compilation-and-development-subsection-makefiles", null ],
            [ "CMake files", "compilation-and-development.html#compilation-and-development-subsection-cmake-files", null ],
            [ "Personal configuration", "compilation-and-development.html#compilation-and-development-subsection-personal-configuration", [
              [ "config.inc", "compilation-and-development.html#compilation-and-development-subsubsection-config-inc", null ],
              [ "Macro DEBUG", "compilation-and-development.html#compilation-and-development-subsubsection-macro-debug", null ]
            ] ]
          ] ],
          [ "Running tests", "compilation-and-development.html#compilation-and-development-section-running-tests", [
            [ "Regression tests", "compilation-and-development.html#compilation-and-development-subsection-regression-tests", [
              [ "Running regression tests with make", "compilation-and-development.html#compilation-and-development-subsubsection-running-regression-tests-with-make", null ],
              [ "Running regression tests with CTest", "compilation-and-development.html#compilation-and-development-subsubsection-running-regression-tests-with-ctest", null ],
              [ "Running individual regression tests directly with test.pl", "compilation-and-development.html#compilation-and-development-subsubsection-running-individual-regression-tests-directly-with-test-pl", null ]
            ] ],
            [ "Unit tests", "compilation-and-development.html#compilation-and-development-subsection-unit-tests", null ],
            [ "Test coverage", "compilation-and-development.html#compilation-and-development-subsection-coverage", null ],
            [ "Using a different SAT solver", "compilation-and-development.html#compilation-and-development-subsection-sat-solver", null ]
          ] ],
          [ "Documentation", "compilation-and-development.html#compilation-and-development-section-documentation", null ],
          [ "Formatting", "compilation-and-development.html#compilation-and-development-section-formatting", null ],
          [ "Linting", "compilation-and-development.html#compilation-and-development-section-linting", null ],
          [ "Time profiling", "compilation-and-development.html#compilation-and-development-section-time-profiling", null ]
        ] ],
        [ "Background Concepts", "background-concepts.html", [
          [ "Representations", "background-concepts.html#representations_section", [
            [ "AST", "background-concepts.html#AST_section", [
              [ "Symbol tables and variable disambiguation", "background-concepts.html#symbol_table_section", null ]
            ] ],
            [ "Intermediate Representations (IR)", "background-concepts.html#IR_section", null ],
            [ "Control Flow Graphs (CFG)", "background-concepts.html#CFG_section", null ],
            [ "SSA", "background-concepts.html#SSA_section", null ],
            [ "Field Sensitivity", "background-concepts.html#field_sensitivity_section", null ]
          ] ],
          [ "Analysis techniques", "background-concepts.html#analysis_techniques_section", [
            [ "Bounded model checking", "background-concepts.html#BMC_section", [
              [ "Propositional logic and SAT solving", "background-concepts.html#propositional_logic_subsubsection", null ],
              [ "Using SAT to reason about data: Bit vectors", "background-concepts.html#bitvector_subsubsection", null ],
              [ "How bounded model checking works", "background-concepts.html#bmc_subsubsection", null ],
              [ "Where to go from here", "background-concepts.html#smt_etc_subsubsection", null ]
            ] ],
            [ "Static analysis", "background-concepts.html#static_analysis_section", [
              [ "Abstract Interpretation", "background-concepts.html#abstract_interpretation_section", null ]
            ] ]
          ] ],
          [ "Glossary", "background-concepts.html#Glossary_section", [
            [ "Instrument", "background-concepts.html#instrument_subsection", null ],
            [ "Flattening and Lowering", "background-concepts.html#flattening_lowering_subsection", null ],
            [ "Verification Condition", "background-concepts.html#verification_condition_subsection", null ]
          ] ]
        ] ],
        [ "CBMC Architecture", "cbmc-architecture.html", [
          [ "Concepts", "cbmc-architecture.html#autotoc_md187", [
            [ "Central data structures", "cbmc-architecture.html#autotoc_md188", null ],
            [ "{C, java bytecode} → Parse tree → Symbol table → GOTO programs → GOTO program transformations → BMC → counterexample (goto_tracet) → printing", "cbmc-architecture.html#autotoc_md189", null ],
            [ "Instrumentation: goto functions → goto functions", "cbmc-architecture.html#autotoc_md190", null ],
            [ "Goto functions → BMC → Counterexample (trace)", "cbmc-architecture.html#autotoc_md191", null ],
            [ "Trace → interpreter → memory map", "cbmc-architecture.html#autotoc_md192", null ],
            [ "Goto functions → abstract interpretation", "cbmc-architecture.html#autotoc_md193", null ],
            [ "Executables (flow of transformations):", "cbmc-architecture.html#autotoc_md194", [
              [ "goto-cc", "cbmc-architecture.html#autotoc_md195", null ],
              [ "goto-instrument", "cbmc-architecture.html#autotoc_md196", null ],
              [ "cbmc", "cbmc-architecture.html#autotoc_md197", null ],
              [ "goto-analyzer", "cbmc-architecture.html#autotoc_md198", null ]
            ] ]
          ] ],
          [ "Central Data Structures", "central-data-structures.html", [
            [ "Central Data Structures", "central-data-structures.html#autotoc_md199", [
              [ "GOTO models", "central-data-structures.html#autotoc_md200", null ],
              [ "goto_functiont", "central-data-structures.html#autotoc_md201", null ],
              [ "goto_programt", "central-data-structures.html#autotoc_md202", null ],
              [ "source_locationt", "central-data-structures.html#autotoc_md203", null ],
              [ "irept", "central-data-structures.html#autotoc_md204", null ]
            ] ]
          ] ],
          [ "Goto Program Transformations", "goto-program-transformations.html", [
            [ "Core Transformation Passes", "goto-program-transformations.html#required-transforms", [
              [ "Removal/Lowering of Assembly", "goto-program-transformations.html#assembly-transform", null ],
              [ "Linking of Standard Libraries", "goto-program-transformations.html#linking-transform", null ],
              [ "Removal/Lowering of Function Pointers", "goto-program-transformations.html#function-pointer-transform", null ],
              [ "Memory Mapped IO Instrumentation", "goto-program-transformations.html#mmio-transform", null ],
              [ "Instrument/Remove Preconditions", "goto-program-transformations.html#precondition-transform", null ],
              [ "Removal/Lowering of Return Statements", "goto-program-transformations.html#returns-transform", null ],
              [ "Remove/Lower Vector Typed Expressions", "goto-program-transformations.html#vector-transform", null ],
              [ "Remove/Lower Complex Typed Expressions", "goto-program-transformations.html#complex-transform", null ],
              [ "Rewrite Unions", "goto-program-transformations.html#unions-transform", null ],
              [ "goto_check_c", "goto-program-transformations.html#check-c-transform", null ],
              [ "Adjust Float Expressions", "goto-program-transformations.html#floats-transform", null ],
              [ "Goto Functions Update", "goto-program-transformations.html#update-transform", null ],
              [ "Add Failed Symbols", "goto-program-transformations.html#failed-symbols-transform", null ],
              [ "Remove Skip Instructions", "goto-program-transformations.html#remove-skip-transform", null ],
              [ "Label Properties", "goto-program-transformations.html#properties-transform", null ]
            ] ],
            [ "Optional Transformation Passes", "goto-program-transformations.html#optional-transforms", [
              [ "String Instrumentation", "goto-program-transformations.html#string-instrument-transform", null ],
              [ "Partial Inlining", "goto-program-transformations.html#inlining-transform", null ],
              [ "Transform Assertions Assumptions", "goto-program-transformations.html#assertions-transform", null ],
              [ "String Abstraction", "goto-program-transformations.html#string-abstraction-transform", null ],
              [ "Add Non-Deterministic Initialisation of Global Scoped Variables", "goto-program-transformations.html#nondet-transform", null ],
              [ "Remove Unused Functions", "goto-program-transformations.html#unused-functions-transform", null ],
              [ "Add Coverage Goals", "goto-program-transformations.html#coverage-transform", null ],
              [ "Slicing", "goto-program-transformations.html#slicing-transforms", null ]
            ] ]
          ] ]
        ] ],
        [ "Folder Walkthrough", "folder-walkthrough.html", null ],
        [ "Code Walkthrough", "code-walkthrough.html", [
          [ "Data structures: core structures and AST", "code-walkthrough.html#data-structures-core-structures-and-ast-section", null ],
          [ "Data structures: from AST to GOTO program", "code-walkthrough.html#data-structures-from-ast-to-goto-program-section", null ],
          [ "Front-end languages: generating codet from multiple languages", "code-walkthrough.html#front-end-languages-generating-codet-from-multiple-languages-section", [
            [ "language_filest, languaget classes:", "code-walkthrough.html#language-uit-section", null ],
            [ "C", "code-walkthrough.html#languages-c-section", null ],
            [ "C++", "code-walkthrough.html#languages-cpp-section", null ],
            [ "Java bytecode", "code-walkthrough.html#languages-java-section", null ]
          ] ],
          [ "Bmct class", "code-walkthrough.html#bmct-class-section", [
            [ "equation", "code-walkthrough.html#equation-section", null ]
          ] ],
          [ "Symbolic executors", "code-walkthrough.html#symbolic-executors-section", [
            [ "Symbolic execution", "code-walkthrough.html#symbolic-execution-section", null ]
          ] ],
          [ "Solvers infrastructure", "code-walkthrough.html#solvers-infrastructure-section", null ],
          [ "Static analysis APIs", "code-walkthrough.html#static-analysis-apis-section", null ]
        ] ],
        [ "Other Tools", "other-tools.html", [
          [ "Other Tools", "other-tools.html#autotoc_md224", null ]
        ] ],
        [ "Tutorials", "tutorial.html", [
          [ "CBMC Developer Tutorial", "tutorial.html#cbmc_tutorial", [
            [ "Initial setup", "tutorial.html#autotoc_md217", null ],
            [ "Whirlwind tour of the tools", "tutorial.html#autotoc_md218", [
              [ "Compiling with <tt>goto-cc</tt>", "tutorial.html#autotoc_md219", null ],
              [ "Viewing goto-programs", "tutorial.html#autotoc_md220", null ]
            ] ],
            [ "Learning about goto-programs", "tutorial.html#autotoc_md221", [
              [ "First steps with <tt>goto-instrument</tt>", "tutorial.html#autotoc_md222", null ],
              [ "Goto-program basics", "tutorial.html#autotoc_md223", null ]
            ] ]
          ] ]
        ] ]
      ] ],
      [ "Contributing documentation", "contributing_documentation.html", null ]
    ] ],
    [ "CBMC documentation", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2doxygen-root_2_r_e_a_d_m_e.html", [
      [ "Install tools", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2doxygen-root_2_r_e_a_d_m_e.html#autotoc_md240", null ],
      [ "Build the documentation", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2doxygen-root_2_r_e_a_d_m_e.html#autotoc_md241", null ],
      [ "Publish the documentation", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2doxygen-root_2_r_e_a_d_m_e.html#autotoc_md242", null ],
      [ "Contribute documentation", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2doxygen-root_2_r_e_a_d_m_e.html#autotoc_md243", null ],
      [ "References", "md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2doxygen-root_2_r_e_a_d_m_e.html#autotoc_md244", null ]
    ] ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Symbols", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", "globals_eval" ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"_2tt_4.html",
"ansi__c__declaration_8h.html#ab2b0bb4b9db664e32e0055c68bc1ff10",
"as__cmdline_8h.html",
"bmc__util_8h.html#a63d84eb81d07dfdc7733e8af4ad5e3c2",
"bytecode__info_8h.html#a055773a1e8b389217db83db221140903",
"c__expr_8h.html#af73d0fa593aeec4da306fe757abeb0ba",
"call__graph__helpers_8cpp.html#a89e5443e681a406760986c91913aa80c",
"class_parser.html#a15962efb501ac93cdc7d075be5a6cb3e",
"classabstract__eventt.html#ab66e15737f8500b6761d1ac169dddd71",
"classai__baset.html#a4562a5949e8d62397e91ae92c9fcb479",
"classansi__c__convert__typet.html#a3cb8453eae9008c2376e1ac9351a249a",
"classarray__string__exprt.html",
"classbddt.html",
"classbv__arithmetict.html#a752ba433778faccb6372d04f1c75c771",
"classc__enum__typet.html#ae6e4efa08f8679da7937112e089fd609",
"classcall__grapht.html#a829a1b6408ee011081db7baf28d41169",
"classcharacter__refine__preprocesst.html#a2576e20c395879f2d005f7905ee44f01",
"classcnf__clause__listt.html#aae92a9b9f203cc7d5c605466e465ddcc",
"classcode__push__catcht_1_1exception__list__entryt.html",
"classcone__of__influencet.html#ad007bb5c9817559784c2fcf86a2ef572",
"classconstant__interval__exprt.html#adefc405cca5dbbe9923718f425ef71f4",
"classcover__decision__instrumentert.html#ac530ef3b8118e502687398710f572e3e",
"classcpp__member__spect.html#a223a7e061a363fff7fc2366aa88b321c",
"classcpp__typecheckt.html#a1eddda2447eb5b554c41cfc553b8213c",
"classcustom__bitvector__analysist.html#a9d609032b6115a7d7db72433ab98871b",
"classdereference__callbackt.html#a609be461bb83defffe04b5dcd5b4f16c",
"classdfcc__lift__memory__predicatest.html#a0ca93998aa6eb9d177166ed283dd33ca",
"classdstringt.html#a3ecd16bde6ac9fcaaeb937025339e284",
"classescape__domaint.html#a82ba5cb9a8b7e921ecc01b6408dce92f",
"classexpr2ct.html#a865202c7c261ebef79e039ca3b32991b",
"classfile__filtert.html",
"classflow__insensitive__abstract__domain__baset.html#a5a4f1f3737da7b219c009782cd33a4b1",
"classfull__array__abstract__objectt.html#a1fad6648fe5de838776dc68c2e4d7e16",
"classgdb__value__extractort.html#a391dc96e275e00a903a821e2dbf1027f",
"classgoto__convertt.html#a4281a494a4fedddcd8572f52578b3f3c",
"classgoto__modelt.html#a17ae911cfc1dc6b4408c6ad074545284",
"classgoto__programt_1_1instructiont.html#af408bc7d5d0c6637709dbcdcb699c071",
"classgoto__trace__stept.html#a5efaed3c63f32fdbb975fdf44a0db521",
"classhavoc__assigns__clause__targetst.html#aa9aae86484b70780c817b18194b1db29",
"classindex__range__implementationt.html",
"classinteger__bitvector__typet.html#a990979b03947ab2ba72746d8e0b70853",
"classinvalid__command__line__argument__exceptiont.html#a3e5553687530805e09d3009eb836fe5c",
"classis__fresh__baset.html#a5ab7ca3a62fdcce4d6976f41c2138c35",
"classjava__bytecode__languaget.html#a1749a52c78ef815145e1e6a55b0042a4",
"classjava__implicitly__generic__class__typet.html#ae891b2320b972f909a06a64126304303",
"classjsil__languaget.html#af5b3dd78ad996d1d1a0b84ffb8f5a91c",
"classlanguage__filest.html#a75d6daa5b2fae8a7bd1ce348d7f30c08",
"classlispsymbolt.html#a7c7565cabdf5cac02273142f20874c63",
"classmathematical__function__typet.html#a39f602ca7d87521563448f1ce1c228e3",
"classmini__bdd__applyt.html#a654ed951a75a010a33a172993f1baa67",
"classnamespace__baset.html#ac865821b708ccc6d325c4d79b4a66c13",
"classosx__mach__o__readert.html#ac3fc2de0fda524e7d290b7da80ab7906",
"classpointer__logict.html#ab8541f571929d308b8d263dab78a4190",
"classpropt.html#a25097449a89daebd56c55496f038f286",
"classrange__spect.html#aa573efcc85da1dfc21e9239c8a305d70",
"classremove__const__function__pointerst.html#ad0311965393d75de40bdbf88df828fdf",
"classrw__set__baset.html",
"classscratch__programt.html#a5efa8933ba0d90c8dd3db7fca6264846",
"classshow__goto__functions__jsont.html#a675fd8a3c56a27cf9b36124da8bd2849",
"classsmall__mapt.html#ae3ea2d3849724f69277c1ac8e0827473",
"classsmt2__incremental__decision__proceduret.html#a7ea67b5574d4649824cc4c6520965093",
"classsmt__core__theoryt.html#afb75a4ed1c9eaa2ae0dcabbc58bdfcd5",
"classsolver__factoryt.html#aaa568d9b66d80727167261d77021af76",
"classstate__type__compatible__exprt.html#af67774899e359ffc9591974262b61ca7",
"classstring__builtin__function__with__no__evalt.html#a466d6c67e9a464906681696df2aca739",
"classstring__refinementt.html#a231b9204f3e24c2893f071a94ca555f9",
"classsymbol__tablet.html#a957b5705ae07495e655786036f78c36f",
"classtaint__parse__treet_1_1rulet.html#ae86218fc17b74c2555ef881049fdc5d0",
"classui__message__handlert.html#abee2d2c86d7cb6c10828716868813d9e",
"classvalue__ranget.html",
"classvalue__sett.html#aab70716871ae95e6d940604c52aea687",
"classwriteable__object__exprt.html#a72862c431bfd3e75bf7aade757bebafb",
"contracts-dev-spec-dfcc-instrument.html#autotoc_md41",
"convert__float__literal_8h.html",
"cpp_2library_2cprover_8h.html#a9e986bbf943aa2bf5a45ed6d2dbae0f5",
"cprover__builtin__headers_8h.html#a3b4660b473f4842bbc3845661379fccb",
"dereference__callback_8h.html",
"dfcc__pointer__in__range_8h_source.html",
"enum__encoding_8cpp.html",
"file__util_8cpp.html#a77ba97d34f2a175d3e0b3073c19f7ac9",
"full__slicer_8h.html",
"gcc__builtin__headers__arm_8h.html#a46e20757e03fb698630d239650b0ccee",
"gcc__builtin__headers__ia32-2_8h.html#a24e80a116f237c3eec17ff6bafc8c7b2",
"gcc__builtin__headers__ia32-2_8h.html#a806cb5207c7f291c9bfa346e8e15fcd3",
"gcc__builtin__headers__ia32-2_8h.html#ae7ef1bd292b7eb991389e0d27047b24d",
"gcc__builtin__headers__ia32-3_8h.html#a4956f4506741cfbf630dceb177d04aa0",
"gcc__builtin__headers__ia32-3_8h.html#ab0d23ac0ac863eea34805fdc4ff854d2",
"gcc__builtin__headers__ia32-4_8h.html#a0ee58c5e0fa17630a25eab571ab290f9",
"gcc__builtin__headers__ia32-4_8h.html#a8e8169c6050eb29f1a2a8577b2a88272",
"gcc__builtin__headers__ia32-5_8h.html#a0794de6b672f515e424586b5155bc14c",
"gcc__builtin__headers__ia32-5_8h.html#a76f79d72bc8cce005999eb1f5aa56ff3",
"gcc__builtin__headers__ia32-5_8h.html#af4ef06e98e396636625839f7a68de942",
"gcc__builtin__headers__ia32-6_8h.html#a6ca9af416539072ed8be1eb3a510421c",
"gcc__builtin__headers__ia32-6_8h.html#ade449743c04d0b705a7fa94a9ce20cec",
"gcc__builtin__headers__ia32_8h.html#a2b65f5a9615222b06bf76d2bcb0f3193",
"gcc__builtin__headers__ia32_8h.html#a64fcc87b3a8462a2076cf9855db68a55",
"gcc__builtin__headers__ia32_8h.html#a98c91322e96c154832592a1a58847b0e",
"gcc__builtin__headers__ia32_8h.html#ad5394773617d06152a812c6a1869c71d",
"gcc__builtin__headers__math_8h.html#a2bb8933a2c8f6521f695b9c514f14e3b",
"gcc__builtin__headers__math_8h.html#acb3ea81815aa34f661714f8497d34ad4",
"gcc__builtin__headers__mem__string_8h.html#af55fbbeaa65555dd914001f06c7cd148",
"gcc__builtin__headers__ubsan_8h.html#a3d3c378bbebfc3f4375943a9cc13baa7",
"globals_defs_w.html",
"goto__harness__parse__options_8cpp.html#a98e4c4c9b266a494a15e69692a49ed89",
"graphml__witness_8h_source.html",
"interval__abstract__value_8cpp.html#a42a4283e9792ecf91ad20d13dc27d664",
"java__bytecode__language_8cpp.html#a5f0e06ebc7eacc0ba5873086846e4306",
"java__root__class_8cpp.html",
"java__types_8h.html#ad1d72152896e70e63ac23811abf7b0d9",
"jsil__types_8h.html#afbbc4c2a44c246362185a46d7f9849ec",
"lispexpr_8h.html#a4ab1ec599bdca5968d2989459474fb37",
"md__2builddir_2build_2_b_u_i_l_d_2cbmc-cbmc-5_895_81_2doc_2doxygen-root_2_r_e_a_d_m_e.html",
"miniz_8cpp.html#a99786d0af99c4433d7961581d708da51",
"miniz_8h.html#a9e009caf9b469d91618c184666c50da4a1c755e926bbf9197e0d64a0387a4e70a",
"ms__link__cmdline_8cpp.html#a0dca1f6bcf29e222abc7dd28e7932bb0",
"options_8h.html",
"pointer__offset__size_8h.html#a6676319444d6fd150e6f6c9cf9353883",
"rational__tools_8h_source.html",
"remove__unused__functions_8cpp_source.html",
"require__type_8h.html#ac3c0b4f4352d5ec4e124faa70339a462",
"shadow__memory__util_8cpp.html#a3f5d116fd22aefdde6a6bd259e7d1167",
"simplify__state__expr_8cpp.html#a7be221d9a0da0e9d08627def00d6a183",
"smt__sorts_8cpp.html#a34b2293b46a63d0982c2f70e5114d831",
"state__encoding_8h.html#a1c10c96df493816b27fa6f27653b0008a9afe7d0f8e588b6ac2d560857ec576c2",
"std__code_8h.html#ab168e6c39949662b863618f77356a925",
"std__types_8h.html#a118bb70b4145915f73ee4bc132e53f9a",
"string__instrumentation_8cpp.html#ac7c634bbc6feadc0831277e3d3757810",
"structabstract__objectt_1_1combine__result.html",
"structconfigt_1_1ansi__ct.html#a0efa0cc1ba49134b4d67ffb4a736bff0",
"structdfcc__loop__nesting__graph__nodet.html#a9ed40a67fc7a274a76fefc3d394e88d7",
"structgoto__convertt_1_1break__switch__targetst.html#ab5988c5a7bc573e9a99987995fe88fee",
"structjava__bytecode__parse__treet_1_1classt.html#a7c04ae4aa7b89f160c923f099ffbc509",
"structmemory__snapshot__harness__generatort_1_1entry__goto__locationt.html#a9e09e1b23f3373bc84b998d9f57a9b0f",
"structranget.html#aaa256fca07143a6f45d2dfd36587564c",
"structsmt__bit__vector__theoryt_1_1signed__less__thant.html",
"structstring__ptrt.html#a3d6d8f9b1459359330f3303a9b376624",
"structvsd__configt.html#ae300f632008f5ec8d5ee64b2ed23d7ca",
"threeval_8h_source.html",
"util_8cpp.html#a64961c7c96a166ee16517f63747c3496",
"variable__sensitivity__object__factory_8cpp.html#a981161c09c10ceab60689467875e5479"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';